body {
  font-family: "Open Sans", sans-serif;
  font-size: 16px;
  line-height: 24px;
  color: #000;
  background-image: url(Dashboard.png);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: 100% auto;
}

h2 {
  font-size: 40px;
  font-weight: bold;
  line-height: 48px;
  color: #fff;
}

.container.form-content {
  border-radius: 10px;
  background: #fff;
  box-shadow: 0px 10px 10px 5px rgba(0, 0, 0, 0.3);
  margin-top: 100px;
}

.row.header {
  padding: 24px 48px;
  background-color: #000;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.row.form-container {
  padding: 48px;
  background-color: #fff;
  border-radius: 10px;
}

label {
  font-size: 18px;
  font-weight: bold;
  line-height: 24px;
  margin-bottom: 10px;
}

.card label {
  font-size: 16px !important;
}

.form-control {
  padding: 12px 24px;
  border-radius: 30px;
  border: 1px solid rgba(0, 0, 0, 0.2);
}

.form-group {
  margin-bottom: 24px;
}

/* nav tabs - general */
.nav-tabs {
  border-bottom: none;
}
.nav-item,
.nav-tab,
.nav-link {
  margin: 0;
  border: none;
}
.nav-tabs .nav-link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  border-radius: 10px 10px 0px 0px;
  background: #fff;
  font-size: 16px;
  padding: 24px 48px;
  color: #000;
  width: 250px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}

.nav-tabs .nav-link svg path {
  fill: #000;
}

.btn-primary:disabled svg path {
  fill: #fff;
}

.nav-tabs .nav-link.active {
  background: #f5f5f5;
  border: none;
  font-weight: bold;
  color: #000;
}

/* nav tabs - modal */


.modal-tabs-wrapper .nav-tabs {
    display: flex;
    width: 100%;
}

.modal-tabs-wrapper .nav-tabs .nav-item {
    flex: 1 1 0;
    text-align: center; /* centers text inside the tab */
}

.modal-tabs-wrapper .nav-tabs .nav-link {
    padding: 0.25rem 0.5rem;
    font-size: 0.85rem;
    line-height: 1.2;
    min-height: 32px;
    width: 100%;
}

.modal-tabs-wrapper .nav-tabs .nav-link.active {
    background-color: #97d800;
    border-color: #dee2e6 #dee2e6 #fff;
}

#detailsTab {
  border-radius: 10px;
  border-top-left-radius: 0;
}

.selected-content-modal .modal-content {
    max-height: 80vh;
    display: flex;
    flex-direction: column;
}

.selected-content-modal .modal-header,
.selected-content-modal .modal-footer {
    flex: 0 0 auto;
}

.selected-content-modal .modal-body {
    flex: 1 1 auto;
    min-height: 0;
    overflow-y: auto;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: .5rem;
}

.selected-content-modal .modal-dialog {
    max-width: 900px;
    margin: 1.75rem auto;
}

#trainingTopicsModal .modal-dialog {
    max-width: 550px;
}


#selectedUsersModal .modal-body {
    max-height: 60vh;
    overflow-y: auto;
}

.modal-course-checkbox-row {
    display: inline-flex;
    align-items: center;
    vertical-align: middle;
    gap: 0.8rem;
    margin-block: 0.35rem;
}

.modal-course-checkbox-row label {
  font-size: 18px;
  font-weight: bold;
  line-height: 24px;
  margin-bottom: 0px;
}

.modal-course-checkbox {
    margin-top: 0px;
    margin-right: 10px;
    margin-bottom:10px;
    transform: scale(1.8);
    transform-origin: center;
}

.card {
    padding: 32px;
    border-radius: 10px;
    border-top-left-radius: 0;
    background: #f5f5f5;
    margin: 0;
    border: none;
}

.btn-primary {
  background: #97d800;
  border: 1px solid #97d800;
  color: #000;
  padding: 12px 24px;
  border-radius: 30px;
  border: none;
  font-size: 14px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 8px;
  text-transform: uppercase;
}
.btn-primary svg path {
  fill: #000;
}

    .btn-primary:hover {
        background: #000;
        color: #fff;
        border: 1px solid #FFF;
    }
.btn-primary:hover svg path {
  fill: #fff;
}

.btn-secondary {
  background: #fff;
  color: #000;
  border: 1px solid #000;
  padding: 12px 24px;
  border-radius: 30px;
  font-size: 14px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 8px;
  text-transform: uppercase;
}

.btn-secondary svg path {
  fill: #000;
}

.btn-secondary:hover {
  background: #000;
  color: #fff;
}

.btn-secondary:hover svg path {
  fill: #fff;
}

.btn-tertiary {
  background: #000;
  color: #fff;
  border: 1px solid #000;
  padding: 12px 24px;
  border-radius: 30px;
  font-size: 14px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 8px;
  text-transform: uppercase;
}
.btn-tertiary svg path {
  fill: #fff;
}

.btn-tertiary:hover {
  background: #fff;
  color: #000;
}
.btn-tertiary:hover svg path {
  fill: #000;
}

.pagination .page-link {
  border-radius: 10px;
  background: #000;
  color: #fff;
  width: 30px;
  height: 30px;
  text-align: center;
  opacity: 0.5;
}

table {
  width: 100%;
  border-collapse: collapse;
}

table th,
table td {
  padding: 16px !important;
  border-radius: 2px 0px 0px 0px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  background: #fff !important;
  font-weight: 600;
}

input {
  border-radius: 30px !important;
}

.input-group
  > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(
    .valid-feedback
  ):not(.invalid-tooltip):not(.invalid-feedback) {
  border-radius: 30px !important;
}
.input-group:not(.has-validation) > .dropdown-toggle:nth-last-child(n + 3),
.input-group:not(.has-validation)
  > :not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) {
  border-radius: 30px !important;
}
#trainingNameAppend {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
}

#trainingNameBase {
  border-top-right-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
}

textarea {
  border-radius: 10px !important;
}

#learningMaterialsDiv .select2-selection__choice__remove {
    display: none !important;
    pointer-events: none;
}

/* Removes the select2 clear all button */
.select2-container .select2-selection__clear {
    display: none !important;
    pointer-events: none;
}

/* Removes the small x on the chip item inserted in a select2 */
.select2-container .select2-selection--multiple .select2-selection__choice__remove {
    display: none !important;
    pointer-events: none;
}

/* Removes inline search for any select2 in the div selected-content-modal-trigger */
.selected-content-modal-trigger .select2 .select2-search--inline {
    display: none !important;
}


.form-control.filter-input {
  padding: 2px 10px !important;
  margin-top: 12px;
}

.select2-container .select2-selection--single,
.select2-container .select2-selection--multiple {
    min-height: 50px !important;
}

.select2-container--default.select2-container--open.select2-container--below
.select2-selection--single,
.select2-container--default.select2-container--open.select2-container--below
.select2-selection--multiple {
    border-radius: 30px !important;
}

.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single {
  padding: 12px 24px !important;
  border-radius: 30px !important;
  border: 1px solid rgba(0, 0, 0, 0.2) !important;
  background-color: #fff;
  font-size: 16px;
  min-height: 50px;
  display: flex;
  align-items: center;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__placeholder {
  color: rgba(0, 0, 0, 0.5);
}

.select2-container--default .select2-selection--multiple:focus,
.select2-container--default .select2-selection--single:focus {
  border-color: rgba(0, 0, 0, 0.5) !important;
  outline: none !important;
}

.select2-dropdown {
  border-radius: 10px;
  border: 1px solid rgba(0, 0, 0, 0.2);
}

.select2-container--default
  .select2-selection--multiple
  .select2-search__field {
  padding: 12px 24px;
  border-radius: 30px;
}
.select2-container .select2-search--inline .select2-search__field {
  margin: 0 !important;
}
.select2-container .select2-selection--multiple {
  display: flex !important;
}
.tab-content {
  margin-top: -1px;
  border-radius: 10px;
}
.select2-selection__choice {
  margin-top: 0 !important;
}
.buttons-block {
  gap: 10px;
}

.sortable {
  cursor: pointer;
  user-select: none;
  position: relative;
}

.sortable i {
  margin-left: 5px;
  font-size: 14px;
  color: #000;
}

.file-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  border: 1px solid #ddd;
  margin-top: 5px;
  background: #f8f9fa;
}

.remove-file {
  background: none;
  border: none;
  color: red;
  cursor: pointer;
  font-size: 16px;
}

.remove-file:hover {
  color: darkred;
}

.list-group-item.file-item {
  border-radius: 30px;
  padding: 2px 10px;
}

.button-group {
  display: flex;
  gap: 10px;
  flex-wrap: nowrap;
}

.file-input-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 30px;
  padding: 6px 12px;
  background: #fff;
  width: 100%;
  overflow: hidden;
  padding: 0;
  cursor: pointer;
}

.file-input {
  opacity: 0;
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  padding: 0;
}

.custom-file-button {
  background: #000;
  color: #fff;
  padding: 12px 24px;
  border-radius: 30px;
  font-weight: bold;
  font-size: 14px;
  border: 1px solid #000;
  cursor: pointer;
  text-transform: uppercase;
  transition: all 0.3s ease-in-out;
  display: flex;
  align-items: center;
  margin: 0;
  cursor: pointer;
}

.file-name {
  flex-grow: 1;
  padding-left: 15px;
  font-size: 16px;
  color: #333;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
}

.file-input-wrapper:hover .custom-file-button,
.file-input:hover .custom-file-button,
.custom-file-button:hover {
  background: #fff;
  border-color: #000;
  color: #000;
  cursor: pointer;
}

/* Ensure input container has relative positioning */
.time-input-container {
  position: relative;
  display: inline-block;
}

/* Style the clock icon */
.time-input-container::after {
  font-family: "Font Awesome\ 5 Free";
  content: "\f017"; /* Unicode clock icon */
  font-size: 14px;
  color: #000; /* Match text color */
  position: absolute;
  right: 40px;
  top: 60px;
  transform: translateY(-50%);
  pointer-events: none; /* Prevent interference with input */
}

/* Ensure the time input has padding to avoid overlap */
.time-input {
  padding-right: 30px; /* Space for the icon */
}

.top-block {
  margin-bottom: 24px;
}

label.attachments {
  margin-bottom: 0;
}
p.attachments {
  margin-bottom: 16px;
}
p.text-muted.attachments {
  margin: 10px 0 0 10px;
  font-size: 14px;
  font-style: italic;
}

.card .button-container {
  margin-top: 24px;
}

@media screen and (max-width: 991px) {
  h2 {
    font-size: 28px;
    line-height: 36px;
  }
  .container,
  .container-md,
  .container-sm {
    width: 100%;
    max-width: 100%;
  }
  .container.form-content {
    margin-top: 30px;
  }
  .nav-tabs .nav-link {
    padding: 12px 24px;
    width: auto;
  }
  .row.form-container {
    padding: 24px;
  }
  .row.header {
    padding: 12px 24px;
  }
  .card {
    padding: 18px;
  }
}
@media screen and (max-width: 767px) {
  .time-input-container::after {
    font-size: 12px;
    top: 59px;
  }
  .row.form-group .col-md-6:nth-child(2n),
  .col-md-3:not(:first-child) {
    margin-top: 24px;
  }
}
/* Wraps the table and scroll indicators */
.table-wrapper {
  position: relative;
  width: 100%;
}

/* Ensures the table scrolls only on smaller screens */
.table-container {
  overflow-x: auto;
  width: 100%;
  white-space: nowrap;
}

/* Scroll indicators (above and below the table) */
.scroll-indicator {
  text-align: center;
  font-weight: bold;
  padding: 10px 0;
  background: #e9ecef; /* Light background */
  color: #000; /* Dark text */
  position: sticky;
  left: 0;
  width: 100%;
  z-index: 2;
}

/* Top scroll indicator - positioned above the table */
.scroll-top {
  top: 0;
}

/* Bottom scroll indicator - positioned below the table */
.scroll-bottom {
  bottom: 0;
}

/* Only show scroll indicators when table is overflowing */
@media (min-width: 992px) {
  .table-container {
    overflow-x: hidden; /* Disable scroll on large screens */
    white-space: normal; /* Allow text wrapping */
  }
  .scroll-indicator {
    display: none; /* Hide scroll indicators */
  }
}

input[type="checkbox"] {
  accent-color: black; /* Changes the checkbox color */
}
.table-striped > tbody > tr:nth-of-type(odd) {
  --bs-table-accent-bg: #fafafa;
}
.pagination-buttons button {
  border: none;
  border-radius: 6px;
  text-align: center;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 24px;
  margin: 0 3px;
  height: 30px;
  background-color: transparent;
  overflow-wrap: normal;
}
.pagination-buttons button.page-button {
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  background-color: #fff;
  color: #000;
  min-width: 30px;
  line-height: 28px;
  overflow-wrap: normal;
  white-space: nowrap;
}
.pagination-buttons button.page-button.active {
  background-color: #000;
  color: #fff;
}
.justify-content-right {
  justify-content: flex-end !important;
}

.attendance-filter-wrapper label {
    margin-bottom: 0px;
    margin-top: 10px;
}


.error-list {
    margin: 8px 0 16px 1rem;
    padding: 0;
    list-style: none; /* remove normal bullets */
}

.error-list li {
    position: relative;
    padding-left: 1.4rem; /* space for the X */
}

.error-list li::before {
    content: "X"; /* the red X */
    position: absolute;
    left: 0;
    top: 0.05em;
    color: #e11d48; /* rose-600 (your color) */
    font-weight: 700;
    font-size: 1.2em; /* noticeable size */
    line-height: 1;
}

/* App wide error page */
.error-box {
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    text-align: center;
    max-width: 800px;
    width: 100%;
}

.error-box h1 {
    margin-top: 0;
    color: #d9534f;
    font-size: 28px;
}

.error-box p {
    font-size: 16px;
    color: #555;
    margin: 8px 0;
}

.critical-error {
    justify-content: center;
}


@media (max-width: 1399px) {
}
/*#entryCount {
  margin-bottom: 24px;
}*/

@media (max-width: 888px) {
  #attendanceTab
    .d-flex.align-items-center.gap-3.flex-grow-1.justify-content-right,
  #entryCount {
    justify-content: center !important;
    flex-wrap: wrap;
  }

  #attendanceTab .justify-content-between {
    justify-content: space-around !important;
  }
}
